GET
https://api.applivery.io/v1/organizations/{organizationId}/mdm/policy-sync
curl -X GET "https://api.applivery.io/v1/organizations/{organizationId}/mdm/policy-sync" \
-H "Authorization: Bearer <YOUR_API_KEY>"const response = await fetch("https://api.applivery.io/v1/organizations/{organizationId}/mdm/policy-sync", {
method: "GET",
headers: {
Authorization: "Bearer <YOUR_API_KEY>",
},
});
const data = await response.json();import requests
response = requests.get(
"https://api.applivery.io/v1/organizations/{organizationId}/mdm/policy-sync",
headers={"Authorization": "Bearer <YOUR_API_KEY>"},
)
data = response.json()Request
Send your API key in the request header
authorization
Example:
Authorization: Bearer <token>
organizationId
string
required
page
integer
optional
limit
integer
optional
sort
string
optional
policyId
string
optional
target
string
optional
targetId
string
optional
Responses
200 Response
application/json
status
boolean
required
data
object
required
items
array [object]
required
id
string
required
organizationId
string
required
policyId
string
required
target
string
required
targetId
string
required
data
object
required
policyVersion
integer
optional
expiresAt
string
optional
createdAt
string
required
updatedAt
string
required
totalDocs
integer
required
limit
integer
required
hasPrevPage
boolean
required
hasNextPage
boolean
required
page
integer
required
totalPages
integer
required
prevPage
integer
required
nextPage
integer
required
{
"status": true,
"data": {
"items": [
{
"id": "string",
"organizationId": "string",
"policyId": "string",
"target": "emmDevice",
"targetId": "string",
"data": {},
"policyVersion": 0,
"expiresAt": "string",
"createdAt": "string",
"updatedAt": "string"
}
],
"totalDocs": 0,
"limit": 0,
"hasPrevPage": true,
"hasNextPage": true,
"page": 0,
"totalPages": 0,
"prevPage": 0,
"nextPage": 0
}
}
401 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 4002,
"message": "No auth token"
}
}
404 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 3001,
"message": "Entity not found"
}
}